package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

public class V10_8_To_V10_9 implements siprp.update.Update
{
	
	public V10_8_To_V10_9()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "relatorio de higiene e seguranca: aumentada a capacidade de texto das requesitos(relatorio)"
		                    };
	}
	
	public double getStartVersion()
	{
		return 10.8;
	}
	
	public double getEndVersion()
	{
		return 10.9;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_relatorio_medida alter column description type varchar(8192); " + 
					"alter table hs_relatorio_medida alter column requesitos_legais type varchar(8192);"
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
	
}
